Subject: Date problems in From:

From: [email-masked] (Mike Laskin)
Date: 21 Feb 1995 16:05:16 GMT

I have been struggling with my mail system headers:

>From rown@rown Mon Feb 20 13:01 EST 1995
Posted-Date: Mon, 20 Feb 1995 13:01:10 -0500
Received-Date: Mon, 20 Feb 1995 13:01:10 -0500
Date: Mon, 20 Feb 1995 12:57:06 +0000

All the times are fine except for Date: field.  Its timezone info is set 
to GMT in that field for some reason (-0500 is the East Coast).  The 
system date is fine:
$ date
Mon Feb 20 19:38:25 EST 1995

It is a pain since when elm sorts the messages on my recipients systems it
sorts by the Date: field so they have messages coming in after messages sent
out 3 hours earlier. 

Any ideas on a fix would be greatly appreciated.  I use pine 3.89 under 
Linux with a 1.1.72 kernel.

BTW: It works fine if I use elm or Berkeley Mail to send stuff out.

Thanks
Mike
[email-masked]